Subject: Re: [PATCH net-next v3 2/2] KEYS: annotate struct user_key_payload with __counted_by

From: Thorsten Blum <[email-masked]>
Date: Sun, 10 May 2026 12:47:24 +0200

On Sat, May 09, 2026 at 02:24:01PM +0300, Jarkko Sakkinen wrote:
> On Mon, Apr 27, 2026 at 01:44:24PM +0200, Thorsten Blum wrote:
> > Add the __counted_by() compiler attribute to the flexible array member
> > 'data' to improve bounds checking via CONFIG_UBSAN_BOUNDS and
> > CONFIG_FORTIFY_SOURCE.
> > 
> > Signed-off-by: Thorsten Blum <[email-masked]>
> 
> This is again a crippled commit message.
> 
> I.e. this requires either knowing, remembering and/or cross-referencing
> "bunch of" unrelated to keyring.

I kept the commit message short because it follows the same pattern as
many other __counted_by() patches that have been accepted across several
subsystems.

I'm not sure which part of the message you want expanded. Could you be
more specific?

Thanks,
Thorsten